%define piname	climatology_pi
%define ver_CL_DATA 1.0

Name:		opencpn-climatology-plugin
Summary:	Climatology plugin for OpenCpn
Version:	1.4.1
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz
Source1:	CL-DATA-%{ver_CL_DATA}.tar.xz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Provides overlay capabilities for historic weather data.
Supported Climatology types include:
    Average wind directions and speed
    Percentage of gale and calm conditions
    Average swell and sea state (not yet implemented)
    Precipitation, Humidity, and Cloud Cover
    Monthly average Sea Level pressure and Sea Temperature, Air Temperature
    Tropical Cyclone tracks

%prep
%setup -q -n %{piname}

tar -xJf %{SOURCE1}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Sun Oct 06 2019 tex - 1.4.1-3pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 1.4.1-2pclos2019
- rebuild against updates

